# Uses of Interface
org.eclipse.e4.ui.model.application.MAddon

Packages that use MAddon
Package
Description
org.eclipse.e4.ui.model.application
Application programming interfaces describing the Eclipse 4 application model elements.
org.eclipse.e4.ui.model.application.impl
org.eclipse.e4.ui.model.application.util

## Uses of MAddon in org.eclipse.e4.ui.model.application

Methods in org.eclipse.e4.ui.model.application that return MAddon
Modifier and Type
Method
Description
`MAddon`
MApplicationFactory.`createAddon()`
Returns a new object of class 'Addon'.
Methods in org.eclipse.e4.ui.model.application that return types with arguments of type MAddon
Modifier and Type
Method
Description
`List<MAddon>`
MApplication.`getAddons()`
Returns the value of the 'Addons' containment reference list.

## Uses of MAddon in org.eclipse.e4.ui.model.application.impl

Classes in org.eclipse.e4.ui.model.application.impl that implement MAddon
Modifier and Type
Class
Description
`class`
`AddonImpl`
An implementation of the model object 'Addon'.
Fields in org.eclipse.e4.ui.model.application.impl with type parameters of type MAddon
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MAddon>`
ApplicationImpl.`addons`
The cached value of the '`Addons`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.impl that return MAddon
Modifier and Type
Method
Description
`MAddon`
ApplicationFactoryImpl.`createAddon()`
Methods in org.eclipse.e4.ui.model.application.impl that return types with arguments of type MAddon
Modifier and Type
Method
Description
`List<MAddon>`
ApplicationImpl.`getAddons()`

## Uses of MAddon in org.eclipse.e4.ui.model.application.util

Methods in org.eclipse.e4.ui.model.application.util with parameters of type MAddon
Modifier and Type
Method
Description
`T1`
ApplicationSwitch.`caseAddon(MAddon object)`
Returns the result of interpreting the object as an instance of 'Addon'.